%define name    galeon
%define version 0.10.2
%define release 3mdk
%define summary Gnome browser based on Gecko (Mozilla)
%define group   Networking/WWW

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Copyright:      GPL
Group:          %{group}
Source:         http://download.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
Source1:        %{name}_48.xpm.bz2
Source2:        %{name}_32.xpm.bz2
Source3:        %{name}_16.xpm.bz2
URL:            http://galeon.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  mozilla-devel , gnome-libs-devel, XFree86-devel, ORBit-devel, libglade-devel, automake, libxml-devel
BuildRequires:  libgnome-vfs0-devel libGConf1-devel liboaf0
Requires:		gtm

%description
Gnome browser based on Gecko (Mozilla rendering engine)

%prep
%setup -q -n %{name}-%{version}

%build

%configure \
    --with-mozilla-libs=%{_libdir}/mozilla \
    --with-mozilla-includes=%{_includedir}/mozilla \
    --enable-compile-warnings=no \
    --enable-nls 

%make

%install
rm -rf %buildroot
%makeinstall

mkdir -p  %buildroot%{_sysconfdir}/gnome/config
cat << EOF > %buildroot%{_sysconfdir}/gnome/config/galeon
[General]
startpage=/usr/share/doc/HTML/index.html
EOF

mkdir -p  %buildroot{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	icon="%{name}.xpm" \
	needs="x11" \
	section="%{group}" \
	title="Galeon" \
	longtitle="%{summary}"
EOF

bzip2 -dc %{SOURCE1} > %buildroot%{_liconsdir}/%{name}.xpm
bzip2 -dc %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.xpm
bzip2 -dc %{SOURCE3} > %buildroot%{_miconsdir}/%{name}.xpm

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %{_sysconfdir}/gnome/config/*
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*
%{_datadir}/oaf/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-3mdk
- Change default homepage

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-2mdk
- Recompiled with latest gcc

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-1mdk
- Release 0.10.2

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Add requires on gtm
- add more buildrequires 

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.3mdk
- corrected versioning scheme again...
- used noreplace for config file

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9pre3-2mdk
- changed versioning scheme
- corrected changelog

* Fri Feb 09 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.1mdk
- 0.9pre3

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-0.pre1.1mdk
- Pre-release 0.9pre1
- Compiled with mozilla 0.7
- Correct dependencies

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.3-1mdk
- new and shiny source.

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.2-1mdk
- new and shiny source.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8-1mdk
- new and shiny galeon.

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7a-1mdk
- Merge specfile from Alexander Skwar <ASkwar@Linux-Mandrake.com>
- Release 0.7.7a - for Mozilla M18
- Disabled gcc-compatibility-hack (thanks to gcc 2.96?)

* Thu Oct 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- SRPM from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
		- Build with --enable-gcc-compatibility-hack: Find will not work :-( 
		  Otherwise building will not work...
		- Quiet setup
		- New version
		- Used more macros in spec file
		- Explicetely set location of mozilla include files

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new mozilla package

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- First mandrake package
